Bug 822333 - RFE: Pull topic XML fragments as xml, run scripts, push them back into Skynet.
RFE: Pull topic XML fragments as xml, run scripts, push them back into Skynet.
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On: 838630
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 01:41 EDT by Tim Hildred
Modified: 2014-08-04 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 21:41:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2012-05-17 01:41:49 EDT
Migrating legacy content into skynet for re-factoring involves cutting and pasting out of XML kept in SVN. 

We now have many topics with meaningless or problematic xrefs and IDs and incorrectly named images. 

This is likely to be the case for any project migrating into Skynet. 

It would be really good if we could pull out topics, run corrective scripts on them, and push the fixed results back into the Skynet database. 

Here is an example of the error messages I got building one of our books using the csprocessor:

http://pastebin.test.redhat.com/89465

Thats 125 errors to fix by hand, that could be addressed with a perl script or such like much faster. There are going to be many more such errors for each of our existing books, plus images. 

The csprocessor gives you xml fragments as xml. Is it possible to have updated XML passed back into Skynet with some mechanism? 

Please?
Comment 1 Matthew Casperson 2012-05-17 02:18:45 EDT
This would be best dealt with by a REST client that checks for xrefs. We should also look at an image upload tool.
Comment 2 Lee Newson 2013-06-12 21:41:11 EDT
Closing this bug as you can now do this with the WebDAV interface.

Note You need to log in before you can comment on or make changes to this bug.